# H4609_QosMonitoringReportData Class Reference

`#include <h4609.h>`

## Public Types

| e_periodic
| e_final
| e_interGK
enum | Choices { e_periodic, e_final, e_interGK }

## Public Member Functions

| H4609_QosMonitoringReportData (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H4609_PeriodicQoSMonReport & ()
| operator const H4609_PeriodicQoSMonReport & () const
| operator H4609_FinalQosMonReport & ()
| operator const H4609_FinalQosMonReport & () const
| operator H4609_InterGKQosMonReport & ()
| operator const H4609_InterGKQosMonReport & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H4609_QosMonitoringReportData::Choices

Enumerator:

  e_periodic |
  e_final |
  e_interGK |

## Constructor & Destructor Documentation

H4609_QosMonitoringReportData::H4609_QosMonitoringReportData | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PObject* H4609_QosMonitoringReportData::Clone | ( |  | ) | const

PBoolean H4609_QosMonitoringReportData::CreateObject | ( |  | ) |

H4609_QosMonitoringReportData::operator const H4609_FinalQosMonReport & | ( |  | ) | const

H4609_QosMonitoringReportData::operator const H4609_InterGKQosMonReport & | ( |  | ) | const

H4609_QosMonitoringReportData::operator const H4609_PeriodicQoSMonReport & | ( |  | ) | const

H4609_QosMonitoringReportData::operator H4609_FinalQosMonReport & | ( |  | ) |

H4609_QosMonitoringReportData::operator H4609_InterGKQosMonReport & | ( |  | ) |

H4609_QosMonitoringReportData::operator H4609_PeriodicQoSMonReport & | ( |  | ) |

The documentation for this class was generated from the following file:

- h4609.h